Summary: The GNU macro processor.
Name: m4
Version: 1.4.3
Release: 1tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.gnu.org/pub/gnu/m4/m4-%{version}.tar.bz2
BuildRequires: texinfo
Prereq: htmlinfo
Buildroot: %{_tmppath}/%{name}-root

%description
A GNU implementation of the traditional UNIX macro processor.  M4 is
useful for writing text files which can be logically parsed, and is used
by many programs as part of their build process.  M4 has built-in
functions for including files, running shell commands, doing arithmetic,
etc.  The autoconf program needs m4 for generating configure scripts, but
not for running configure scripts.

Install m4 if you need a macro processor.


%prep
%setup -q


%build
./configure --prefix=%{_prefix}
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s
cd doc 
makeinfo --html --no-split --force m4.texinfo || :


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall
strip $RPM_BUILD_ROOT/usr/bin/m4
mkdir -p $RPM_BUILD_ROOT/usr/share/html/m4
install -m644 doc/m4.html $RPM_BUILD_ROOT/usr/share/html/m4/


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/htmlinfo_update.sh

%postun
/usr/sbin/htmlinfo_update.sh


%files
%defattr(-,root,root,0755)
%doc NEWS README
/usr/bin/m4
%dir /usr/share/html/m4
/usr/share/html/m4/m4.html


%changelog
* Fri Apr 01 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.4.3-1tr
- New Upstream

* Thu Sep 23 2004 Nageswara Sastry <nageswara at comodo dot com> 1.4.2-1tr
- Upgraded to version 1.4.2-1tr from 1.4.24tr

* Tue Dec  9 2003 Erlend Midttun <erlendbm at trustix dot org> 1.4-22tr
- Big rebuild

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4-21tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4-20tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4-19em
- Rebuilt against glibc 2.3.2.

* Fri Oct 25 2002 Christian H. Toldnes <christht at trustix dot com> 1.4-18ct
- Replaced ugly info2man-hack with cute htmlinfo setup.

* Tue Sep  3 2002 Goetz Bock <bock at trustix dot org> 1.4-17bg
- removed info stuff
- cleaned up spec file

* Wed Jul 24 2002 Daniel Meyer <eagle at trustix dot org> 1.4-16dm
- rebuild for Trustix Secure Linux 2.0

* Tue Jul 17 2001 Erlend Midttun <erlendbm at trustix dot com>
- Inc serial number before release.

* Mon Feb 28 2000 Lars Gaarden <larsg at trustix dot com>
- Moved info files to /usr/share/info, FHS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- Manhattan build

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- added info file handling and BuildRoot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

